unity should give an error to the user when not supported by the driver/graphic card

Reported by Mario Limonciello on 2010-08-05
186
This bug affects 38 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
Chris Van Hoof
Ubuntu Translations
High
Unassigned
Unity
High
Didier Roche
mutter (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Medium
Canonical Desktop Experience Team

Bug Description

I was testing Ubuntu Netbook Edition 10.10 Alpha 3 and have found that it does not fall back to a 2D interface if 3D fails like UNE 10.04 did. This means that any hardware that doesn't support 3D graphics will not be usable with Ubuntu Netbook Edition.

This can be reproduced by booting the netbook edition ISO in an environment that only supports 2D graphics such as within VirtualBox and choosing "Try Ubuntu Netbook 10.10". You are brought to a blank wallpaper with no error message, no fallback to 2D mode, or fallback to the standard Gnome Desktop.

----------

The new strings are from a dialog:
Title:
"No required driver detected for unity."
Text:
"You will need to choose the Ubuntu Desktop session once you select your user name."

Jerone Young (jerone) on 2010-08-06
Changed in oem-priority:
status: New → Confirmed
importance: Undecided → High
Martin Pitt (pitti) wrote :

Jerone, I saw you marked this an OEM priority goal. With alpha-3, the armel images now have a new version of netbook-launcher-efl again, while the the i386/amd64 variants only have unity. These days, intelish netbooks all come with 3D capable graphics, and it is nontrivial (i. e. costs a lot of boot time) to detect that and provide an automatic switch. Moreover, Mark himself nack'ed adding this fallback to maverick, since unity looks so much different from n-l.

However, on armel this should now be fixed.

Martin Pitt (pitti) wrote :

Oh, and if we have a 2D OEM project, we can just switch seeds to use n-l-efl instead.

Mario Limonciello (superm1) wrote :

I think the important point here is that you provide "something" to fall back to, even an error question dialog would be a better experience.

What about if mutter can't launch, or returns a non-zero return code (which I think is the trigger for this behavior), launch a little dialog similar to:

-- Error Starting Ubuntu Netbook Edition --
It appears that your system doesn't have the proper resources to run Ubuntu Netbook. What would you like to do?
< > Retry Launching Ubuntu Netbook Edition
< > Log into Ubuntu Desktop Edition instead

[ ] Save my choice for next time I log in

{ Launch }

--

It at least gets the customer out of the rough spot, and a simple dialog like that won't need a window manager running to render. Testing the return code of the startup process shouldn't be a very costly procedure.

Mario Limonciello (superm1) wrote :

And to answer your second question about if this is a worry for an OEM project; this is a worry about the fact that a lot of newer hardware will potentially ship with version of Ubuntu that 3D isn't supported yet properly, but the OS that it ships on will have been generated at a much earlier date. An addon package to set the default to UDE will likely be added, but if the customer launches into UNE, the box shouldn't break.

Consider this scenario:
1) The customer receives the box with UDE on by default
2) During OOBE they set it up to automatically login
3) They read online and see these awesome pictures of unity in UNE and want to try it for themselves
4) They realize it's already available "on" their box, and go into login settings and set it.
5) They reboot, and it automatically logs in to just the wallpaper.

Their machine appears bricked, and they don't have a way to get out of the scenario other than switching VT's and some command line hackery.

Changed in oem-priority:
assignee: nobody → Kevin Krafthefer (krafthefer)
tags: added: iso-testing

If the UNE interface cannot come up. It should at least have an error and log the user back out (to GDM screen).

summary: - Ubuntu Netbook 10.10 Alpha 3 does not fallback to a 2D interface
+ Ubuntu Netbook 10.10 Alpha 3 does not fallback to a 2D interface or
+ gives an error
summary: - Ubuntu Netbook 10.10 Alpha 3 does not fallback to a 2D interface or
- gives an error
+ Ubuntu Netbook 10.10 Alpha 3 does not fallback to a 2D interface or give
+ an error to the user
Changed in oem-priority:
assignee: Kevin Krafthefer (krafthefer) → Canonical Platform QA Team (canonical-platform-qa)

Thanks for the report, assigning this to Didier so he can have a look. thanks all.

Changed in netbook-meta (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
status: New → Triaged
Didier Roche (didrocks) wrote :

We discussed that already, and won't use the fallback for unity to n-l-efl as the interface are too different contrary to the previous launcher which were very similar.

As we already got some bugs report because of the interface not being quite similar, we can rather just show a "your hardware doesn't have the requirement to run unity" dialog box and "ok" to logout. This should be implemented into unity itself by the dx team, consequently.

affects: netbook-meta (Ubuntu) → unity (Ubuntu)
Changed in unity (Ubuntu):
assignee: Didier Roche (didrocks) → Canonical Desktop Experience Team (canonical-dx-team)
summary: - Ubuntu Netbook 10.10 Alpha 3 does not fallback to a 2D interface or give
- an error to the user
+ unity should give an error to the user when not supported by the
+ driver/graphic card
C Pirnat (histoplasmosis) wrote :

The user can login to failsafe desktop by changing the session. However, netbook/unity fails to load even on Beta release.

Pete Goodall (pgoodall) wrote :

I agree that we need to intelligently fail here. It cannot be guaranteed that all x86 devices will have XGL drivers, and the scenario that @superm1 mentions in comment #5 is very possible. I think this is a must for release.

David Barth (dbarth) wrote :

High priority, but on the backlog for now. Rationale:
1. It's a feature and it requires a dialog and strings, while we're past FF
2. The plan for maverick was to manage requirements manually, ie if Unity refuses to run it's because the HW/SW doesn't support the advanced effects
3. We may have a fix to disable effects provided the rest of the stack is sane, but that branch still hasn't landed
4. We can try to deliver that outside of schedule, as an OEM distro-patch for now (hence the 'high' priority for the backlog)

Changed in unity:
importance: Undecided → High
milestone: none → backlog
Changed in oem-priority:
assignee: Canonical Platform QA Team (canonical-platform-qa) → nobody
Jerone Young (jerone) wrote :

@David
        This is a stop ship issue for OEMs. They cannot wait. Has to land in 10.10 build.

Brent Fox (brent-s-fox) wrote :

Jerone: Hang on a sec. Let's not frame this as a do-it-my-way-or-die issue. It's not helpful.

Mario: We know which OEM configs will have good 3D support and which won't, right? Are there ways that we could automagically prevent the user from trying to start UNE on a config that we know doesn't have working 3D?

Obviously that's less attractive than having the system intelligently fall back to a 2D UI, but I think we need to have a Plan B in case the DX team can't get that in place before release.

Mario Limonciello (superm1) wrote :

Brent:

We should know which will have good 3D support during development, and be able to set the default UI appropriately. I don't think we have a good way ATM to stop them from starting UNE other than removing the .desktop file or the packages themselves, which is ugly but i'm sure could be accomplished via a post install package on a per config basis.

I added myself to "this affects me" although I'm not certain it's the same bug. Running UNE on an Asus eeePC 1201HAB. from lspci's graphics controller line "00:02.0 VGA compatible controller: Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller (rev 07)".

if i start up UNE, i see the wallpaper, only. the system works if I switch to a desktop-edition session.

Didier Roche (didrocks) on 2010-09-18
Changed in unity:
assignee: nobody → Didier Roche (didrocks)
status: New → Triaged
status: Triaged → In Progress
Adam H (hardena) wrote :

In my case, my machine certainly has the 3D hardware required to actually use Netbook Edition. However, restricted nVidia drivers are required to do so, and not being able to use the default Desktop Edition UI to get those installed makes for a difficult experience. I would agree something needs to be done so the user gets some sort of prompt or fallback so these sorts of things can be taken care of quickly.

Didier Roche (didrocks) on 2010-09-20
Changed in unity:
milestone: backlog → 2010-09-22
Didier Roche (didrocks) on 2010-09-22
Changed in unity:
status: In Progress → Fix Committed
Yuri Pelz Gossmann (yuripg) wrote :

To me, the main problem is if, while installing, you enable auto-login. This way, if the built-in driver provided by the distribution doesn't support 3D (at least nouveau - I don't know about ATI), you'll not be able to use the OS since Unity won't load. In this case, the OS should ignore the auto-login setting and recommend the user to log in the desktop edition and, friendly as it is at Ubuntu, install additional drivers that support 3D, required for Unity. Also, it can be informed to the user that doing that and restarting the system would resolve the problem with Unity.

Didier Roche (didrocks) wrote :

@Yuri, we change the default user session to GNOME is we can't land unity, so autologin will work too.

description: updated
David Planella (dpm) on 2010-09-23
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package unity - 0.2.42-0ubuntu1

---------------
unity (0.2.42-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - "Applications" and "Files & Folders" tooltips are not translatable
      (LP: #644215)
    - Fix inactive menus are accessible on switching to a window (LP: #604505)
    - Fix wrong launcher tile label/quicklist x position (LP: #631446)
    - Fix highlighted items in quicklist have different widths (LP: #643315)
    - In migration tool, being safe when people are using crazy caracters in
      desktop file (LP: #644114, #635156)
    - Detect if 3D acceleration support is provided. Otherwise, prompt for
      logout and change default session (LP: #614088)
    - Fix quicklist shows hidden menu items (LP: #641543)
    - Fix removing launchers via dnd fails (LP: #643434)
    - Better launcher auto-scroll performances (LP: #640560)
    - Make the insensitive state of the forward- and back-button more obvious by
      decreasing their opacity, thus users don't assume they are actually
      clickable. (LP: #638285)
    - Fix some dialogs aren't maximized but are undecorated (LP: #628822)
    - Fix some menus don't go away when window closes (LP: #640557)
    - Fixes bug where the wrong icon where at times associated with a tile in
      the places view. (LP: #642935)
    - Speedup icon loading (LP: #641246)
    - Make trash menu items in Unity are either not translatable or translations
      are not loaded (LP: #645038)
    - Fix using dnd on launcher makes focus not work out of the unity ui
      (LP: #637123)
    - Multi-monitor support (LP: #637123)
    - Enable/disable super key by a gconf key (LP: #632581)
    - Remove glow on fold (LP: #619344)
    - Ensure we dont map windows when expose is active (LP: #599766)
    - take new indicator API for action for top-level dropdown menu item not
      activated (LP: #637692)
    - Make the home buttons reactive (LP: #638857)
    - Add red tint when search fails (LP: #607821)
    - New (and final!) UI adjustement, but UNE isn't in the doc as seen with
      the doc team (LP: #627009)
    - Single-touches on the launcher are usually interpreted as a drag
      (LP: #641328)
    - URI activation in global view (LP: #612562)
    - Clicking a Place icon while viewing the same place in the Dash should
      return to the Home screen of that place and clear the search (LP: #607829)
    - Fix mutter crashed with SIGSEGV in g_type_check_instance() (LP: #641561)
    - Fix panel and menu item font colors don't match (LP: #637480)
    - Fix indicators have orange color (LP: #632975)
    - Fix inactive menus are accessible on switching to a window (LP: #604505)
    - Use semi-transparent rectangle around launcher-icon (LP: #643388)
    - Fix mutter crashes when closing pop-up dialog (LP: #642669)
    - Change launcher icon reference size loading (LP: #641669)
    - Fix mutter crashing in mumble start (LP: #641335)
    - Fix clicking on a category from CoFs does not directly take you to the
      desired category (LP: #638402)
    - Fix some menus don't go away when window closes (LP: #640557)
    - Launchers should act like if the application was not focussed ...

Read more...

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks) on 2010-09-24
Changed in unity:
status: Fix Committed → Fix Released
Mario Limonciello (superm1) wrote :

I just tested today's daily une image. Same behavior with that image as well as with all updates applied after that image had launched.

I've got unity 0.2.42-0ubuntu3 in my VirtualBox VM that doesn't support 3D, and the same behavior is occurring as previously. It's just going to a desktop with wallpaper and nothing more.

Didier Roche (didrocks) wrote :

Hum, I think that VirtualBox is doing some trick with rendering.

can you please paste glxinfo | grep render?

# glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Software Rasterizer
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_fragment_program,

On Fri, Sep 24, 2010 at 18:49, Didier Roche <email address hidden> wrote:

> Hum, I think that VirtualBox is doing some trick with rendering.
>
> can you please paste glxinfo | grep render?
>
> --
> unity should give an error to the user when not supported by the
> driver/graphic card
> https://bugs.launchpad.net/bugs/614088
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

Didier Roche (didrocks) wrote :

urgh, I'm silly, forgot that case, will fix it.

Changed in unity:
status: Fix Released → Triaged
Changed in unity (Ubuntu):
status: Fix Released → Triaged
Didier Roche (didrocks) on 2010-09-27
Changed in unity:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 0.2.46-0ubuntu1

---------------
unity (0.2.46-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - use get_basename instead of silly str manipulating, should fix (LP: #648625)
    - fix remaining issues when software is at start for non 3D detection
      (LP: #614088)
    - Fix duplicate ubiquity entry in UNE live session (was importing it from
      the GNOME desktop) (LP: #648827)
 -- Didier Roche <email address hidden> Mon, 27 Sep 2010 21:24:05 +0200

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 2.31.5-0ubuntu8

---------------
mutter (2.31.5-0ubuntu8) maverick; urgency=low

  * debian/patches/20_unity_no_3D_detection.patch:
    - detect in UNE session if the graphical driver is software-rendered.
      if so, exit from the session after prompting and write the .dmrc file
      to the gnome session (LP: #614088)
  * debian/control:
    - add libdbus-glib-1-dev build-dep
 -- Didier Roche <email address hidden> Mon, 27 Sep 2010 21:53:21 +0200

Changed in mutter (Ubuntu):
status: New → Fix Released
Thanos Lefteris (alefteris) wrote :

The problem with this is that when the user is at the gdm screen, he can't login after the message that unity is not working with his setup. There is no user icon selection in the gdm screen. He must write "ubuntu" himself. There is no indication that "ubuntu" is the username of the live cd user. Also he doesn't know the password. I tried several passwords my self, such as ubuntu/live/guest without luck. So I had to switch to a virtual terminal, set the password to something I know with 'sudo passwd ubuntu' and get back to the gdm screen and login. A new Ubuntu user won't be able to workaround it like that.

This is not the right place to report this, but I'm not sure in what component to Ubuntu I should file it. Or even maybe I'm doing something wrong during the gdm login? Please advice.

Using Ubuntu Netbook Edition 10.10 RC Live CD.

Thanks

Interesting. Why does it take one back to the login screen on the live
cd, rather than simply firing up a non-Unity session immediately?

Didier Roche (didrocks) wrote :

easiest there is no password in the live session :)

@Mark: I just wrote that patch last week because nobody wanted to work on that (unity was crashing instead), which is a bad experience IMHO. So, I went to the logout option which is the safest without changing too much the code base (GDM doesn't support switching session on the fly, but that's something we can have a look for Natty).

Chris Young (chrisworkacc) wrote :

Hello! This is my first post about Ubuntu so please be nice! :-)

I've been using Ubuntu 10.04 (desktop & netbook) for quite some time now with little to no issues with the user functionality. Last night I saw the release candidate for 10.10 and did a few back flips lol, very excited to see this rolling out. I installed the desktop version on a new Dell Vostro 1710 and its running pretty smoothly. Now for the Netbook I ran into the issue stated above.

Here's my bug/issue:

After the install of Ubuntu Netbook 10.10 (which ran with zero problems) I got to the login screen, I selected Ubuntu Netbook Edition and logged in. Once I do the error "No required driver detected for unity. (you will need to choose the Ubuntu Desktop session once you select your user name)". I press ok and of course it logs in just fine to the Ubuntu Desktop. But as seeing this is an old laptop and I installed this netbook version solely for the easy user interface, I'm rather sad this doesn't work.

(I have attached my laptop specs)

Will unity not support older graphic cards? I used the netbook version 10.04 on here and it ran with zero issues. I think that we should be able to use Unity without all the fancy 3d settings. I install ubuntu netbook on quite a bit of older laptops because it runs so smoothly and is super simple to use. I'm not sure if i missed a fix, or if there is a place I can go to get this fixed but any additional info on it would be great.

Thanks a million in advance and keep up the good work, there are many people i'm slowing converting to Ubuntu so we can.. for once.. live in a windozz free world.

Mark Shuttleworth (sabdfl) wrote :

 On 01/10/10 02:38, Chris Young wrote:
> Hello! This is my first post about Ubuntu so please be nice! :-)

We try always to be nice, you can raise a bug if we're not :-)

> But as seeing this is an old laptop and I installed this
> netbook version solely for the easy user interface, I'm rather sad this
> doesn't work.
>
> (I have attached my laptop specs)
>
> Will unity not support older graphic cards? I used the netbook version
> 10.04 on here and it ran with zero issues. I think that we should be
> able to use Unity without all the fancy 3d settings.

The new Unity interface exercises more of the 3D capabilities of the
hardware than the old one. And unfortunately, in a couple of cases, the
drivers of some hardware (not necessarily even older hardware) on Linux
don't support all the features of the hardware.

We'll work on a 2D version of Unity, which will be an option for you in
the next release. But we're also helping folks improve their 3D drivers,
so your laptop might actually work with the 3D version in 11.04.

Mark

Chris Young (chrisworkacc) wrote :

Mark,
Thank you very much for the reply, I completely understand I'll be looking forward to the 2D ability. In the meantime I will enjoy this beautiful desktop version. PS: keep up the good work, Ideas like Linux are good for the planet.

Didier Roche (didrocks) on 2010-10-01
Changed in unity:
status: Fix Committed → Fix Released
Didier Roche (didrocks) wrote :

follow up on bug 651085

Richard Banks (gbanksy) wrote :

I run UNR on an old thinkpad t40, which doesn't have 3D. Have just upgraded to 10.10 and am getting the white screen, which I assume is related to this. I had read the 'known issues' list and didn't appreciate the significance that UNR cannot run at all on non 3D hardware - I assumed it would handle it gracefully.

Can I suggest you include on this bug or on the 'known issues' page a way to resolve this? From reading the above, I believe my options are to either revert to 10.04, or switch to Ubuntu 10.10 desktop edition. I can open a terminal window but am not sure what to do.

Mark Shuttleworth (sabdfl) wrote :

Richard, you can switch to the desktop from a terminal with:

  sudo apt-get install ubuntu-desktop

Then select the desktop interface from the session menu at login.

Mark

teledyn (garym-teledyn) wrote :

this is insane -- an interface for lo-res lo-resources machines and it is PREDICATED on 3D co-processor support?? That is beyond foolish. Ok, add me to the growing list of people to be bitten by this, and now has two machines upgraded but now rendered largely useless because they cannot run Nautilus and now can no longer run Netbook.

Is it possible to install the old UNR desktop? It was perfect for the sub-GHz aging hardware, esp for those now running hdmi interfaces so as to feed video to television sets. If not UNR, is there some other recommended window manager that will give a nice balance between ease of navigation and customization vs extremely small footprint that does not need twenty process daemons running to do its job?

MoLE (moleonthehill) wrote :

@teledyn: you might want to check out the lubuntu distro (lubuntu.net) - has a netbook interface reminiscent of the original xandros one for the EeePC. Runs well on 256Mb RAM.

Mark Shuttleworth (sabdfl) wrote :

On 13/10/10 01:02, teledyn wrote:
> this is insane -- an interface for lo-res lo-resources machines and it
> is PREDICATED on 3D co-processor support?? That is beyond foolish. Ok,
> add me to the growing list of people to be bitten by this, and now has
> two machines upgraded but now rendered largely useless because they
> cannot run Nautilus and now can no longer run Netbook.

Teledyn, the previous UNR depended on 3D as well. This version exercises
more of the 3D driver, however, so if your drivers have support for the
bits used by the old interface, and not also the bits used by the new
interface, then it will feel unusable.

We do ask the drivers if they support the necessary capabilities, and
fall back to an older Gnome-2 style interface if they don't. However,
sometimes drivers don't report their capabilities accurately, or they
have bugs. This was the first release of Unity, it gives us a chance to
identify the problematic hardware or drivers and blacklist them so they
get a simpler, 2D interface instead, or work with the driver vendors to
fix them.

There are certainly bugs in Unity, but I would urge you to try it on
hardware which has the necessary driver support to judge the actual
interface direction itself.

Mark

Jan Claeys (janc) wrote :

VirtualBox with 3D-support enabled (e.g. compiz with wobbly windows etc. enabled works fine in the desktop session) fails to run unity, and leaves the user on an empty "desktop background" when using the Netbook session... No warning, no message, nothing, so not all problems get catched in a "proper" way?

Running unity from a terminal in the desktop session shows:

$ unity
OpenGL Warning: glXChooseFBConfigSGIX not implemented by Chromium
Segmentation fault (core dumped)

(Chromium is the OpenGL implementation VirtualBox uses: http://chromium.sf.net )

Chaitanya Kale (chaitanyakale) wrote :

Ubuntu Netbook (Unity) when installed from Ubuntu 10.10 Desktop (64 bit). Gives same error : No required driver found for unity, whereas it worked fine for me, with Desktop Edition (32bit).

Changed in unity (Ubuntu):
status: Fix Released → Incomplete
Gary M (garym) on 2010-10-18
tags: added: maverick
Didier Roche (didrocks) wrote :

Please, do not revert state from "fix released" to unity.

What worked for you in the Desktop Edition? Did you get unity there or the normal GNOME desktop?

Changed in unity (Ubuntu):
status: Incomplete → Fix Released
John Pybus (john-jpnp) on 2010-11-23
description: updated
Chris Van Hoof (vanhoof) on 2010-11-29
Changed in oem-priority:
status: Confirmed → Fix Released
assignee: nobody → Chris Van Hoof (vanhoof)
David Planella (dpm) on 2011-03-16
Changed in ubuntu-translations:
status: Triaged → Fix Released

I had a problem with this error earlier.

I recently got an Acer Aspire Revo for general use computing, and put the last Ubuntu on it (10.10 I think?), desktop edition.

It recently asked if I wanted to update to the 11.04 version, which I did so, however upon restarting after the update I got the message that I didn't have the right hardware and that I should select something else at the log in screen. The problem there is that as the only user of the system I have it set to auto log me in so I never see the log in screen. The second problem with this is that once this message was shown, the system was no responsive and I have to force a shutdown; I could not click on the OK button, or press enter to confirm the dialog, or press 'c' to follow the underlined close button.

After a restart, I got the same message, with no way for me to interact with the system until the message appears, at which point it freezes the system and I have to force a shutdown. This seems like quite a large problem; I get no log in screen, the error tells me to do something different at the log in screen I don't see, and it freezes after showing me the dialog so I can't do anything.

I seem to have managed to solve this by pressing enter just before the dialog appeared, and that seemed to confirm it and continue using the old interface that I have been using with the last version.

After a quick search online, I found this bug report, and the following article, this to get the 2D version of unity:
http://digitizor.com/2011/04/28/after-installing-ubuntu-11-04/
" Install Unity 2D
Unity 2D is a lighter version of the normal Unity (or Unity 3D) which comes with Ubuntu 11.04. Unity 3D does not run in systems which does not support 3D acceleration. Unity 2D will however run on such systems and it is also a lot more responsive compared to Unity 3D.

You can have both Unity 2D and Unity 3D installed on the same Ubuntu installation and select which one to launch at the login screen. To install Unity 2D, open the Terminal and execute the following commands:

$ sudo add-apt-repository ppa:unity-2d-team/unity-2d-daily
$ sudo apt-get update
$ sudo apt-get install unity-2d"

I believe what I have to do to get it to not display the error is to change what is sued at log in from the System -> Administration -> Login Screen menu, but what should I change it to? Ubuntu, Ubuntu Classic or Unity 2D? Will there be a chance of similar problems with the Unity 2D? I am not overly bothered about what interface I will be using as I have only been using the last one for a few weeks so have no major attachment to it, I just want to use one that will work when I turn the computer on (and be fairly snappy, the computer is fairly low power).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions